from django.contrib.auth.models import User
from django.core.urlresolvers import reverse
from django.test import TestCase


class AccountsTests(TestCase):
    def setUp(self):
        user = User.objects.create_user('user', email='user@example.net', password='user')

    def test_home(self):
        response = self.client.get(reverse('home'))
        self.assertRedirects(response, reverse('login') + '?next=' + reverse('home'))
        self.client.login(username='user', password='user')
        response = self.client.get(reverse('home'))
        self.assertEqual(response.status_code, 200)
